Create verification request
/me/create_verification_request
Target audience: Developers
Create verification request
Introduction
This endpoint creates a verification request for the authenticated account. A confirmation email will be sent to the account's email address. If the account is already verified, the request will be rejected.
An optional verification_url can be provided, which will be stored in the request metadata and can be used to direct the user to a specific verification page.
URI
| Environment |
URI |
| Stage |
https://payway-api.stage.adeprimo.se/external/api/v1/me/create_verification_request |
| Production |
https://backend.worldoftulo.com/external/api/v1/me/create_verification_request |
Requirements
| Identity |
Scope |
| Yes |
/external/me/w |
Parameters
| Field |
Required |
Type |
Description |
| verification_url |
Optional |
String |
URL to direct the user to for verification. Size range: ..1024 |
Curl Example
curl --request POST \
--url https://payway-api.stage.adeprimo.se/external/api/v1/me/create_verification_request \
--header 'accept: application/json' \
--header 'authorization: Bearer <access_token_with_identity>' \
--header 'content-type: application/json' \
--data '{
"verification_url": "https://domain.tld/verify"
}'
Response
| Field |
Description |
| id |
The id of the created verification request |
| status |
The status of the verification request |
| expires_at |
Timestamp for when the verification request expires |
Example response
HTTP 201 Created
{
"id": "5caf3c206e95528fe2943abe",
"status": "pending",
"expires_at": "2024-01-15 12:00:00 UTC"
}
Errors
HTTP 400 Bad Request
| Name |
Type |
Description |
| invalid_parameter |
Object |
Validation error on any of the fields in the posted json |
| json_parser_error |
Object |
The request body could not be parsed as valid json |
| invalid_content_type_error |
Object |
The requests Content-Type header isn't set to application/json |
| unknown_parameter |
Object |
One or more of the fields in the posted json was not recognized |
HTTP 404 Not Found
| Name |
Type |
Description |
| not_found |
Object |
The account could not be found |
HTTP 409 Conflict
| Name |
Type |
Description |
| already_verified |
Object |
The account is already verified |
HTTP 500 Internal Server Error
| Name |
Type |
Description |
| internal_server_error |
Object |
Something unexpected happened server side |